<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>js_graph</title>
    <link
        href="https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100;0,200;0,300;0,400;1,100;1,200;1,300&display=swap"
        rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
    <div id="tableButtons">
        <div id="tableWrapper">
            <p id="adjMatrixTitle">adj matrix<button id="minimizeButton" class="minimizeButton">
                    <div id="line"></div>
                </button></p>
            <table id="adjMatrixTable" style="display: block;">
            </table>
        </div>
        <div id="addButtonWrapper">
            <div id="addEdgeButtonWrapper" class="addButtonWrapper">
                <button id="addEdge"><span id="addEdgeText">
                    <span class="add"> <span class="plus">+</span> edge</span></span>
                    <span class="cancel"> cancel </span>
                </button>
                <input id="edgeWeight" type="number" placeholder="w">
            </div>
            <div id="addNodeButtonWrapper" class="addButtonWrapper">
                <button id="addNode">
                    <span class="add"> <span class="plus">+</span> node</span></span>
                    <span class="cancel"> cancel </span>
                </button>
                <input id="nodeNumber" type="number" placeholder="id">
            </div>
        </div>
    </div>

    <div id="canvasWrapper">
        <canvas id="canvas"></canvas>
    </div>
    <div id="rightBarNotification">
        <div id="notificationWrapper">
            <div id="notificationLabel"></div>
        </div>
        <div id="barOpenClose"></div>
        <div id="rightBarWrapper">
            <div id="optionsWrapper" class="rightBarSection">
                <div class="switchButtonWrapper">
                    <button id="orientedButton" class="switchButton active">oriented</button>
                    <button id="unorientedButton" class="switchButton">unoriented</button>
                </div>
                <div class="switchButtonWrapper">
                    <button id="weightedButton" class="switchButton active">weighted</button>
                    <button id="unweightedButton" class="switchButton">unweighted</button>
                </div>
            </div>
            <div id="graphInfoWrapper" class="rightBarSection">
                <table id="graphInfoTable">
                    <tr>
                        <th class="graphInfoSpan">node count</th><td id="nodeCount" class="graphInfoSpan"></td>
                    </tr>
                </table>
            </div>
            <div id="primWrapper" class="rightBarSection">
                <button id="invertButton" class="algorithmTitle">Invert</button>
                <button id="completeButton" class="algorithmTitle">complete</button>
            </div>
            <div id="dijkstraWrapper" class="rightBarSection">
                <span class="algorithmTitle">DFS</span>
            </div>
            <div id="dijkstraWrapper" class="rightBarSection">
                <span class="algorithmTitle">BFS</span>
            </div>
            <div id="dijkstraWrapper" class="rightBarSection">
                <span class="algorithmTitle">connected components</span>
            </div>
            <div id="dijkstraWrapper" class="rightBarSection">
                <span class="algorithmTitle">Dijkstra</span>
            </div>
            <div id="primWrapper" class="rightBarSection">
                <span class="algorithmTitle">Bellman-Ford</span>
            </div>
            <div id="primWrapper" class="rightBarSection">
                <span class="algorithmTitle">Prim</span>
            </div>
            <div id="primWrapper" class="rightBarSection">
                <span class="algorithmTitle">Kruskal</span>
            </div>
            <div id="primWrapper" class="rightBarSection">
                <span class="algorithmTitle">Floyd Warshal</span>
            </div>
            <div id="primWrapper" class="rightBarSection">
                <span class="algorithmTitle">is biparted</span>
            </div>
            <div id="primWrapper" class="rightBarSection">
                <span class="algorithmTitle">DAG Linearization</span>
            </div>
        </div>
    </div>
    <div id="editItemWrapper">
        <div id="itemId"></div>
    </div>
    <script type="module" src="./graph.js"></script>
    <script type="module" src="./main.js"></script>
</body>

</html>